<?php

namespace GB\Components\Data\Metadata\Entry;

if(!defined('ABSPATH')) { exit; }

class TrackingReferrer {
	public static function init() {
		self::add_actions();
		self::add_filters();
	}

	private static function add_actions() {
		if(is_admin()) {

		} else {

		}

		add_action('pre_get_posts', [__CLASS__, 'modify_query']);
	}

	private static function add_filters() {
		if(is_admin()) {

		} else {

		}

	}

	#region Query Modification

	public static function modify_query($query) {
		if(is_numeric($query->get('gb_referrer')) && ($entry = gb_get_entry($query->get('gb_referrer')))) {
			$meta_query = $query->get('meta_query');
			$meta_query = is_array($meta_query) ? $meta_query : [];
			$meta_query = array_merge($meta_query, [
				[
					'key'     => GB__DATA_META__ENTRY_TRACKING_REFERRER,
					'compare' => '=',
					'value'   => $entry->ID,
				],
			]);

			$query->set('meta_query', $meta_query);
		}
	}

	#endregion Query Modification

	#region Public API

	public static function get($entry) {
		$entry = gb_get_entry($entry);

		if(false === $entry) { return ''; }

		return gb_get_entry(get_post_meta($entry->ID, GB__DATA_META__ENTRY_TRACKING_REFERRER, true));
	}

	public static function set($entry, $referrer) {
		$entry    = gb_get_entry($entry);
		$referrer = gb_get_entry($referrer);

		if(false === $entry || false === $referrer) { return; }

		update_post_meta($entry->ID, GB__DATA_META__ENTRY_TRACKING_REFERRER, $referrer->ID);
	}

	#endregion Public API
}

require_once(path_join(dirname(__FILE__), 'functions/tracking-referrer.functions.php'));

TrackingReferrer::init();
