<?php

use GB\Components\Data\Metadata\Giveaway\Type;

if(!function_exists('gb_get_giveaway_types')) {
	/**
	 * Returns an array of valid giveaway types.
	 *
	 * @return array An associative array of type keys to names.
	 */
	function gb_get_giveaway_types() {
		return apply_filters('gb_get_giveaway_types', [
			'default' => __('Giveaway')
		]);
	}
}

if(!function_exists('gb_get_giveaway_type')) {
	/**
	 * Returns a string confirming the type of a giveaway.
	 *
	 * @param int|WP_Post $giveaway The giveaway to check the type for.
	 * @return string The specified giveaway's type or false if the giveaway is invalid.
	 */
	function gb_get_giveaway_type($giveaway) {
		return apply_filters('gb_get_giveaway_type', Type::get($giveaway), $giveaway);
	}
}

if(!function_exists('gb_set_giveaway_type')) {
	/**
	 * Stores the type for a specified giveaway.
	 *
	 * @param int|WP_Post $giveaway The giveaway to set the type for.
	 * @param string $type The typeof a giveaway.
	 * @return void
	 */
	function gb_set_giveaway_type($giveaway, $type) {
		return apply_filters('gb_set_giveaway_type', Type::set($giveaway, $type), $giveaway, $type);
	}
}
