<?php if(!defined('ABSPATH')) { exit; } ?>

<?php ob_start(); ?>

<?php if(empty($entries)) { ?>

<tr>
    <td colspan="<?php echo count($columns); ?>"><?php echo apply_filters('\GB\Components\ViewsAdmin\Types\Giveaway\Edit::display_entries::$none', __('No entries have been received for this giveaway'), $giveaway); ?></td>
</tr>

<?php } else { foreach($entries as $entry) { ?>

<tr>
    <?php

    foreach(array_keys($columns) as $column) {
        switch($column) {
            case 'entrant':
                $parts = [];

                $parts[] = sprintf('<a href="mailto:%1$s" title="%1$s">%2$s</a>', esc_attr(gb_get_entry_tracking_email($entry)), esc_html(gb_get_entry_tracking_name($entry)));
                $parts[] = implode('<span> | </span>', apply_filters('\GB\Components\ViewsAdmin\Types\Giveaway\Edit::display_entries::$entry_states', array_filter([
                    gb_is_entry_winner($entry) ? sprintf('<strong>%s</strong>', esc_html__('Winner')) : false,
                ]), $entry, $giveaway));

                $value = implode("\n", array_map(function($part) { return sprintf('<div>%s</div>', $part); }, $parts));

                break;

            case 'entered':
                $value = sprintf('%s<br />%s', esc_html(gb_get_date($entry->post_date)->format(get_option('date_format'))), esc_html(gb_get_date($entry->post_date)->format(get_option('time_format'))));

                break;

            case 'chances':
                $value = esc_html(number_format_i18n(gb_get_entry_chances($entry)));

                break;

            case 'sources':
                $value = implode('<br />', array_map('esc_html', array_map('ucwords', array_map(function($source) { return str_replace('_', ' ', $source); }, gb_get_entry_sources($entry)))));

                break;

            default:
                $value = '';

                break;

        }

        printf('<td>%s</td>', apply_filters('\GB\Components\ViewsAdmin\Types\Giveaway\Edit::display_entries::$column_value', $value, $column, $entry, $giveaway));
    }

    ?>
</tr>

<?php } } ?>

<?php if($more) { ?>

<tr>
    <td colspan="<?php echo count($columns); ?>"><button class="button button-primary gb-more-entries" data-giveaway="<?php echo esc_attr($giveaway->ID); ?>" data-limit="<?php echo esc_attr($limit); ?>" data-offset="<?php echo esc_attr($offset); ?>"><?php esc_html_e('Load More'); ?></button></td>
</tr>

<?php } ?>

<?php echo apply_filters('\GB\Components\ViewsAdmin\Types\Giveaway\Edit::display_entries::$rows', ob_get_clean(), $giveaway, $entries); ?>
